# Self-Signed or Invalid Certificates

Either condition is enough (should): a self-signed certificate, or a signature that does not validate.

Source: https://docs.deepinfo.com/reference/discovery/domain-search/examples/self-signed-or-invalid-certificates/

Last updated: 2026-09-26

---
`POST https://api.deepinfo.com/v1/discovery/domain-search?page_size=25`

Example 2 of 8 in **Combinations › Investigations** · [Domain Search Examples](/reference/discovery/domain-search/examples/) · endpoint: [Domain Search](/reference/discovery/domain-search/)

Tags: `field` `ssl.signature.is_self_signed` · `field` `ssl.signature.is_valid` · `operator` `eq` · `logic` `should`

Either condition is enough (`should`): a self-signed certificate, or a signature that does not validate.

## Request

| Parameter | In | Value |
|---|---|---|
| `page_size` | query | `25` |
| `filters.should[0].name` | body | `ssl.signature.is_self_signed` |
| `filters.should[0].type` | body | `eq` |
| `filters.should[0].value` | body | `true` |
| `filters.should[1].name` | body | `ssl.signature.is_valid` |
| `filters.should[1].type` | body | `eq` |
| `filters.should[1].value` | body | `false` |

```bash
curl -X POST 'https://api.deepinfo.com/v1/discovery/domain-search?page_size=25' \
  -H 'apikey: YOUR_API_KEY' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "filters": {
    "should": [
      {
        "name": "ssl.signature.is_self_signed",
        "type": "eq",
        "value": true
      },
      {
        "name": "ssl.signature.is_valid",
        "type": "eq",
        "value": false
      }
    ]
  }
}'
```

## Response

### 200 · OK

> Shortened for this page: results: 3 of 25 shown; results[].domain.ip_history: first 10 items; results[].ip_history: first 10 items

`Content-Type: application/json` · `ratelimit-limit: 1000` · `ratelimit-remaining: 999` · `ratelimit-reset: 1` · `x-ratelimit-limit-hour: 100000` · `x-ratelimit-limit-minute: 10000` · `x-ratelimit-limit-second: 1000` · `x-ratelimit-remaining-hour: 99821` · `x-ratelimit-remaining-minute: 9991` · `x-ratelimit-remaining-second: 999` · `deepinfo-request-id: 5f0c6a8e-1b2d-4c3e-9f4a-7b8c9d0e1f2a`

```json
{
  "page": 1,
  "page_size": 25,
  "result_count": 207502789,
  "results": [
    {
      "punycode": "x7cw.com",
      "unicode": "x7cw.com",
      "is_idn": false,
      "subdomain": null,
      "subdomain_last": null,
      "subdomain_root": null,
      "name": {
        "punycode": "x7cw",
        "unicode": "x7cw",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": true,
        "contains_hyphen": false,
        "length": 4,
        "lang": "en",
        "keywords": [
          "cw"
        ],
        "keyword_count": 1,
        "latinized": [],
        "contains_confusable": false
      },
      "domain": {
        "punycode": "x7cw.com",
        "unicode": "x7cw.com",
        "is_idn": false,
        "name": {
          "punycode": "x7cw",
          "unicode": "x7cw",
          "is_idn": false,
          "contains_letter": true,
          "contains_number": true,
          "contains_hyphen": false,
          "length": 4,
          "lang": "en",
          "keywords": [
            "cw"
          ],
          "keyword_count": 1
        },
        "extension": {
          "punycode": "com",
          "unicode": "com",
          "is_idn": false
        },
        "extension_root": {
          "punycode": "com",
          "unicode": "com",
          "is_idn": false
        },
        "extension_sub": null,
        "extension_type": 1,
        "reserved": null,
        "premium": null,
        "registered": true,
        "whois": {
          "create_date": "2025-12-29T03:15:42Z",
          "update_date": "2025-12-29T11:52:18Z",
          "expiry_date": "2026-12-29T03:15:42Z",
          "registrar": "dynadot inc",
          "registrant": {
            "name": null,
            "organization": null,
            "street": null,
            "city": null,
            "state": null,
            "postal_code": null,
            "country": null,
            "phone": null,
            "email": null
          },
          "name_servers": [
            "ns1.csof.net",
            "ns2.csof.net",
            "ns3.csof.net",
            "ns4.csof.net"
          ],
          "domain_status": [
            "clienttransferprohibited"
          ],
          "whois_server": "whois.dynadot.com",
          "check_date": "2026-06-25T05:10:38Z"
        },
        "whois_normalized": {
          "registrant": null
        },
        "whois_last_check_date": "2026-06-25T05:10:38Z",
        "whois_create_date_historical": [
          "2025-12-29T03:15:42Z"
        ],
        "whois_last_change_date": "2025-12-31T12:31:02Z",
        "whois_registrant_email_historical": [],
        "whois_privacy_enabled": null,
        "dns": {
          "a": {
            "update_date": "2026-09-22T06:25:54Z",
            "ip_addresses": [
              "52.27.79.221"
            ]
          }
        },
        "dns_last_change_date": "2026-09-22T06:28:50Z",
        "ip_history": [
          "52.27.79.221"
        ],
        "ssl": {
          "validity": {
            "start_date": "2020-05-13T12:56:16Z",
            "end_date": "2030-05-11T12:56:16Z"
          },
          "serial_number": "635462897457611354639246937656519117568482604495",
          "check_date": "2026-09-22T06:28:17Z"
        },
        "ssl_last_change_date": "2025-12-30T08:26:12Z"
      },
      "type": 1,
      "subdomain_level_count": 0,
      "dns": {
        "a": {
          "update_date": "2026-09-22T06:25:54Z",
          "ip_addresses": [
            "52.27.79.221"
          ]
        },
        "aaaa": {
          "update_date": "2026-09-22T06:25:54Z",
          "ip_addresses": []
        },
        "ns": {
          "update_date": "2026-09-22T06:25:54Z",
          "name_servers": [
            "ns1.csof.net",
            "ns2.csof.net",
            "ns3.csof.net",
            "ns4.csof.net"
          ]
        },
        "mx": {
          "update_date": "2026-09-22T06:25:54Z",
          "mail_servers": [
            "mx1.x7cw.com",
            "mx2.x7cw.com"
          ]
        },
        "soa": {
          "update_date": "2026-09-22T06:25:54Z",
          "mnames": [
            "ns1.x7cw.com"
          ],
          "rnames": [
            "hostmaster.x7cw.com"
          ],
          "rname_emails": [
            "user@x7cw.com"
          ]
        },
        "txt": {
          "update_date": "2026-09-22T06:25:54Z",
          "values": [
            "\"v=spf1 include:_incspfcheck.mailspike.net ?all\""
          ]
        },
        "cname": {
          "update_date": "2026-09-22T06:25:54Z",
          "values": []
        },
        "others": []
      },
      "dns_last_change_date": "2026-09-22T06:28:49Z",
      "ip_history": [
        "52.27.79.221"
      ],
      "ssl": {
        "tags": [
          "dla"
        ],
        "fqdns": [
          "malware.com"
        ],
        "version": 3,
        "serial_number": "635462897457611354639246937656519117568482604495",
        "fingerprint": {
          "sha256": "38dbea5cc60faf79a992cc6d44716d3f271923041ef76680fef56d8330a87fe2",
          "sha1": "153692aae027c57061f7a03e9f016cec24e9f716",
          "md5": "446cd2108f3e628bded99d77fc8f7ab3"
        },
        "validity": {
          "start_date": "2020-05-13T12:56:16Z",
          "end_date": "2030-05-11T12:56:16Z",
          "length": 315360000
        },
        "signature": {
          "is_self_signed": true,
          "is_valid": false,
          "value": "mMJgAUo49Jo/nwOOTtNCt0aYjiFYMU7+ZFMBLFaUihooqboiVAnxyWdvnudkqAPiQjXhaxbRRUxAEmAdnKPeiMX2zDaJl7ZbzW8xrK+hg/7ZQ9aUGhqlwtrQDNcjHWH54PHRikAYs0sDFFE2+FgpA/DNPHbIe5cZVGhCzH7TV3shTxfl2TMD4o8e/NRZCVDP+pYejbveGoMovL3E5kir9cElCjHs41aY4QiJCuwmZ8nySLCLZ5jEvDma2lMbeo6XSe+9Qt3AFsyLis/If33tkgTxbYHSQxMYCzwDPehdmzYaVVoJ5Xx4YDOoaHlSux91qIaRGBDkOyKHQQTrAIUj9g==",
          "algorithm": {
            "oid": "1.2.840.113549.1.1.5",
            "name": "sha1"
          }
        },
        "issuer_dn": "CN=*.malware.com,O=Internet Widgits Pty Ltd,ST=Some-State,C=US",
        "issuer": {
          "common_name": "*.malware.com",
          "country": "US",
          "state": "Some-State",
          "locality": null,
          "organization": "Internet Widgits Pty Ltd",
          "organizational_unit": null
        },
        "subject_dn": "CN=*.malware.com,O=Internet Widgits Pty Ltd,ST=Some-State,C=US",
        "subject": {
          "common_name": "*.malware.com",
          "country": "US",
          "state": "Some-State",
          "locality": null,
          "organization": "Internet Widgits Pty Ltd",
          "organizational_unit": null
        },
        "extensions": {
          "authority_key_id": "A4iGGaZ067uFsBxRliRxO0OZmuE=",
          "basic_constraints": {
            "is_ca": true
          },
          "certificate_policies": [],
          "extended_key_usage": null,
          "key_usage": null,
          "signed_certificate_timestamps": [],
          "subject_alt_name": null,
          "subject_key_id": "A4iGGaZ067uFsBxRliRxO0OZmuE="
        },
        "check_date": "2026-09-22T06:28:17Z"
      },
      "ssl_last_change_date": "2025-12-30T08:26:12Z",
      "webdata": {
        "connection_status": "success",
        "html": {
          "source_code_hash": "e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855"
        },
        "http": {
          "status_code_first": 200,
          "status_code_last": 200,
          "redirection_history": [
            {
              "url": "http://x7cw.com/",
              "status_code": 200
            }
          ],
          "external_redirection": null,
          "final_url": "http://x7cw.com/",
          "final_fqdn": "x7cw.com",
          "final_domain": "x7cw.com",
          "headers": {
            "others": [
              {
                "name": "date",
                "value": "Sat, 08 Aug 2026 06:45:17 GMT"
              },
              {
                "name": "content_length",
                "value": "0"
              },
              {
                "name": "connection",
                "value": "close"
              }
            ],
            "access_control_allow_headers": null,
            "access_control_allow_methods": null,
            "access_control_allow_origin": null,
            "cache_control": null,
            "clear_site_data": null,
            "content_encoding": null,
            "content_security_policy": null,
            "content_type": "application/octet-stream",
            "cross_origin_embedder_policy": null,
            "cross_origin_opener_policy": null,
            "cross_origin_resource_policy": null,
            "expect_ct": null,
            "feature_policy": null,
            "last_modified": null,
            "permission_policy": null,
            "referrer_policy": null,
            "server": "nginx",
            "set_cookie": null,
            "strict_transport_security": null,
            "x_content_type_options": null,
            "x_download_options": null,
            "x_frame_options": null,
            "x_permitted_cross_domain_policies": null,
            "x_powered_by": null,
            "x_xss_protection": null
          },
          "cookies": []
        }
      }
    },
    {
      "punycode": "ankaratoptanmotorin.com",
      "unicode": "ankaratoptanmotorin.com",
      "is_idn": false,
      "subdomain": null,
      "subdomain_last": null,
      "subdomain_root": null,
      "name": {
        "punycode": "ankaratoptanmotorin",
        "unicode": "ankaratoptanmotorin",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": false,
        "contains_hyphen": false,
        "length": 19,
        "lang": "tr",
        "keywords": [
          "ankara",
          "toptan",
          "motor",
          "in"
        ],
        "keyword_count": 4,
        "latinized": [],
        "contains_confusable": false
      },
      "domain": {
        "punycode": "ankaratoptanmotorin.com",
        "unicode": "ankaratoptanmotorin.com",
        "is_idn": false,
        "name": {
          "punycode": "ankaratoptanmotorin",
          "unicode": "ankaratoptanmotorin",
          "is_idn": false,
          "contains_letter": true,
          "contains_number": false,
          "contains_hyphen": false,
          "length": 19,
          "lang": "tr",
          "keywords": [
            "ankara",
            "toptan",
            "motor",
            "in"
          ],
          "keyword_count": 4
        },
        "extension": {
          "punycode": "com",
          "unicode": "com",
          "is_idn": false
        },
        "extension_root": {
          "punycode": "com",
          "unicode": "com",
          "is_idn": false
        },
        "extension_sub": null,
        "extension_type": 1,
        "reserved": null,
        "premium": null,
        "registered": true,
        "whois": {
          "create_date": "2016-11-30T15:13:49Z",
          "update_date": "2025-11-30T09:32:58Z",
          "expiry_date": "2026-11-30T15:13:49Z",
          "registrar": "isimtescil bilisim a.s.",
          "registrant": {
            "name": null,
            "organization": null,
            "street": null,
            "city": null,
            "state": null,
            "postal_code": null,
            "country": null,
            "phone": null,
            "email": null
          },
          "name_servers": [
            "ns1.guzelhosting.com",
            "ns11.guzelhosting.com",
            "ns12.guzelhosting.com",
            "ns2.guzelhosting.com"
          ],
          "domain_status": [
            "ok"
          ],
          "whois_server": "whois.isimtescil.net",
          "check_date": "2026-08-08T06:37:00Z"
        },
        "whois_normalized": {
          "registrant": null
        },
        "whois_last_check_date": "2026-08-08T06:37:00Z",
        "whois_create_date_historical": [
          "2016-11-30T15:13:49Z"
        ],
        "whois_last_change_date": "2025-12-04T22:27:24Z",
        "whois_registrant_email_historical": [
          "user@ortadogupatent.com"
        ],
        "whois_privacy_enabled": null,
        "dns": {
          "a": {
            "update_date": "2026-09-22T06:28:15Z",
            "ip_addresses": [
              "185.106.211.102"
            ]
          }
        },
        "dns_last_change_date": "2026-09-22T06:30:05Z",
        "ip_history": [
          "185.106.211.102"
        ],
        "ssl": {
          "validity": {
            "start_date": "2020-01-23T23:30:21Z",
            "end_date": "2021-01-22T23:30:21Z"
          },
          "serial_number": "1147032356",
          "check_date": "2026-09-12T20:57:42Z"
        },
        "ssl_last_change_date": "2023-12-21T19:14:46Z"
      },
      "type": 1,
      "subdomain_level_count": 0,
      "dns": {
        "a": {
          "update_date": "2026-09-22T06:28:15Z",
          "ip_addresses": [
            "185.106.211.102"
          ]
        },
        "aaaa": {
          "update_date": "2026-09-22T06:28:15Z",
          "ip_addresses": []
        },
        "ns": {
          "update_date": "2026-09-22T06:28:15Z",
          "name_servers": [
            "ns1.guzelhosting.com",
            "ns2.guzelhosting.com",
            "ns11.guzelhosting.com",
            "ns12.guzelhosting.com"
          ]
        },
        "mx": {
          "update_date": "2026-09-22T06:28:15Z",
          "mail_servers": [
            "ankaratoptanmotorin.com"
          ]
        },
        "soa": {
          "update_date": "2026-09-22T06:28:15Z",
          "mnames": [
            "ns1.guzelhosting.com"
          ],
          "rnames": [
            "user.gmail.com"
          ],
          "rname_emails": [
            "user@gmail.com"
          ]
        },
        "txt": {
          "update_date": "2026-09-22T06:28:15Z",
          "values": [
            "\"v=spf1 ip4:185.106.211.101 ip4:185.106.211.110 ip4:185.106.211.103 ip4:208.74.121.86 ip4:185.106.211.102 +a +mx ~all\""
          ]
        },
        "cname": {
          "update_date": "2026-09-22T06:28:15Z",
          "values": []
        },
        "others": []
      },
      "dns_last_change_date": "2026-09-22T06:30:03Z",
      "ip_history": [
        "185.106.211.102"
      ],
      "ssl": {
        "tags": [
          "dla"
        ],
        "fqdns": [
          "ankaratoptanmotorin.com",
          "cpanel.ankaratoptanmotorin.com",
          "mail.ankaratoptanmotorin.com",
          "webdisk.ankaratoptanmotorin.com",
          "webmail.ankaratoptanmotorin.com",
          "www.ankaratoptanmotorin.com"
        ],
        "version": 3,
        "serial_number": "1147032356",
        "fingerprint": {
          "sha256": "1d3eedb79696f786fb1e2d0472cc3c2e6a6098791ad40d0c1182197cc0c5d51c",
          "sha1": "90eefe08e9277e9efdd74806e83e7f66fea3abd0",
          "md5": "7841428fc0079c06448a81a3f320015c"
        },
        "validity": {
          "start_date": "2020-01-23T23:30:21Z",
          "end_date": "2021-01-22T23:30:21Z",
          "length": 31536000
        },
        "signature": {
          "is_self_signed": true,
          "is_valid": false,
          "value": "ZJXvnTdR7r1QiC748VFY7s3MaeBEcZtCTyMPK+IifdtURLhnijZpt8Yf8AFvhGsXAmLJcKHrEA3q3j7SKSh0asYZ8cVc8adVXtrmGpjeTPQ2/mOgoNLK/neEKJSqRUOSfEBC48d5+6PWS/mGFpDreOQZHx+qdcYoNiAqgNFxBO9ouK9nILWVZI6umVJLM9lTStJgjOAi52EziiaR8P35PjlwaaHcGADUv9zkuak1Kj31pttb3zLHJovXpuM6XTaS+9rZ/cKpIg505JeLIhQTHNRL+kO6rhr7EfamybsXNMmaFh+1IxxnYbsGgEBAE+IbU/GJ3FZE0+20TDYm9kzW3w==",
          "algorithm": {
            "oid": "1.2.840.113549.1.1.11",
            "name": "sha256"
          }
        },
        "issuer_dn": "CN=ankaratoptanmotorin.com",
        "issuer": {
          "common_name": "ankaratoptanmotorin.com",
          "country": null,
          "state": null,
          "locality": null,
          "organization": null,
          "organizational_unit": null
        },
        "subject_dn": "CN=ankaratoptanmotorin.com",
        "subject": {
          "common_name": "ankaratoptanmotorin.com",
          "country": null,
          "state": null,
          "locality": null,
          "organization": null,
          "organizational_unit": null
        },
        "extensions": {
          "authority_key_id": "Gt8Zpc5CnyAoyUCWNHTyXfdPNYs=",
          "basic_constraints": {
            "is_ca": false
          },
          "certificate_policies": [],
          "extended_key_usage": {
            "client_auth": true,
            "server_auth": true
          },
          "key_usage": null,
          "signed_certificate_timestamps": [],
          "subject_alt_name": {
            "dns_names": [
              "ankaratoptanmotorin.com",
              "mail.ankaratoptanmotorin.com",
              "www.ankaratoptanmotorin.com",
              "cpanel.ankaratoptanmotorin.com",
              "webmail.ankaratoptanmotorin.com",
              "webdisk.ankaratoptanmotorin.com"
            ]
          },
          "subject_key_id": "Gt8Zpc5CnyAoyUCWNHTyXfdPNYs="
        },
        "check_date": "2026-09-12T20:57:42Z"
      },
      "ssl_last_change_date": "2023-12-21T19:14:45Z",
      "webdata": {
        "connection_status": "success",
        "html": {
          "source_code_hash": "e6929031e250a6b65a74046956a687a070615cf0fdc77d1d7fd6596f990c1dec"
        },
        "http": {
          "status_code_first": 200,
          "status_code_last": 200,
          "redirection_history": [
            {
              "url": "http://ankaratoptanmotorin.com/",
              "status_code": 200
            }
          ],
          "external_redirection": null,
          "final_url": "http://ankaratoptanmotorin.com/",
          "final_fqdn": "ankaratoptanmotorin.com",
          "final_domain": "ankaratoptanmotorin.com",
          "headers": {
            "others": [
              {
                "name": "connection",
                "value": "Keep-Alive"
              },
              {
                "name": "keep_alive",
                "value": "timeout=5, max=100"
              },
              {
                "name": "accept_ranges",
                "value": "bytes"
              },
              {
                "name": "vary",
                "value": "Accept-Encoding"
              },
              {
                "name": "content_length",
                "value": "5779"
              },
              {
                "name": "date",
                "value": "Tue, 09 Jun 2026 13:06:48 GMT"
              }
            ],
            "access_control_allow_headers": null,
            "access_control_allow_methods": null,
            "access_control_allow_origin": null,
            "cache_control": null,
            "clear_site_data": null,
            "content_encoding": "gzip",
            "content_security_policy": null,
            "content_type": "text/html",
            "cross_origin_embedder_policy": null,
            "cross_origin_opener_policy": null,
            "cross_origin_resource_policy": null,
            "expect_ct": null,
            "feature_policy": null,
            "last_modified": "Thu, 23 Jan 2020 23:30:44 GMT",
            "permission_policy": null,
            "referrer_policy": null,
            "server": "LiteSpeed",
            "set_cookie": null,
            "strict_transport_security": null,
            "x_content_type_options": null,
            "x_download_options": null,
            "x_frame_options": null,
            "x_permitted_cross_domain_policies": null,
            "x_powered_by": null,
            "x_xss_protection": null
          },
          "cookies": []
        }
      }
    },
    {
      "punycode": "jazzforkids.com",
      "unicode": "jazzforkids.com",
      "is_idn": false,
      "subdomain": null,
      "subdomain_last": null,
      "subdomain_root": null,
      "name": {
        "punycode": "jazzforkids",
        "unicode": "jazzforkids",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": false,
        "contains_hyphen": false,
        "length": 11,
        "lang": "en",
        "keywords": [
          "jazz",
          "for",
          "kids"
        ],
        "keyword_count": 3,
        "latinized": [],
        "contains_confusable": false
      },
      "domain": {
        "punycode": "jazzforkids.com",
        "unicode": "jazzforkids.com",
        "is_idn": false,
        "name": {
          "punycode": "jazzforkids",
          "unicode": "jazzforkids",
          "is_idn": false,
          "contains_letter": true,
          "contains_number": false,
          "contains_hyphen": false,
          "length": 11,
          "lang": "en",
          "keywords": [
            "jazz",
            "for",
            "kids"
          ],
          "keyword_count": 3
        },
        "extension": {
          "punycode": "com",
          "unicode": "com",
          "is_idn": false
        },
        "extension_root": {
          "punycode": "com",
          "unicode": "com",
          "is_idn": false
        },
        "extension_sub": null,
        "extension_type": 1,
        "reserved": null,
        "premium": null,
        "registered": true,
        "whois": {
          "create_date": "2010-12-25T19:49:27Z",
          "update_date": "2025-11-11T09:17:28Z",
          "expiry_date": "2027-12-25T19:49:27Z",
          "registrar": "alpine domains inc.",
          "registrant": {
            "name": "REDACTED FOR PRIVACY",
            "organization": "redacted for privacy",
            "street": "REDACTED FOR PRIVACY",
            "city": "richmond",
            "state": "british columbia",
            "postal_code": "REDACTED FOR PRIVACY",
            "country": "ca",
            "phone": "REDACTED FOR PRIVACY",
            "email": "REDACTED FOR PRIVACY"
          },
          "name_servers": [
            "ns1.power-dns.com",
            "ns2.power-dns.com",
            "ns3.power-dns.com"
          ],
          "domain_status": [
            "ok"
          ],
          "whois_server": "whois.alpinedomains.com",
          "check_date": "2026-04-14T22:43:31Z"
        },
        "whois_normalized": {
          "registrant": {
            "organization": "redactedforprivacy",
            "phone": "REDACTED FOR PRIVACY",
            "email": "REDACTED FOR PRIVACY",
            "email_fqdn_apex": "REDACTED FOR PRIVACY",
            "email_domain_apex": "REDACTED FOR PRIVACY"
          }
        },
        "whois_last_check_date": "2026-04-14T22:43:31Z",
        "whois_create_date_historical": [
          "2010-12-25T19:49:27Z"
        ],
        "whois_last_change_date": "2026-04-11T13:54:24Z",
        "whois_registrant_email_historical": [
          "user@ewebdevelopment.com"
        ],
        "whois_privacy_enabled": false,
        "dns": {
          "a": {
            "update_date": "2026-09-22T06:28:57Z",
            "ip_addresses": [
              "15.223.21.161",
              "52.60.147.175"
            ]
          }
        },
        "dns_last_change_date": "2026-09-22T06:30:17Z",
        "ip_history": [
          "15.222.50.11",
          "3.99.54.18",
          "3.97.36.24",
          "3.99.78.66",
          "3.97.214.159",
          "3.98.191.22",
          "3.97.245.0",
          "3.97.117.82",
          "3.99.14.164",
          "3.97.24.88"
        ],
        "ssl": {
          "validity": {
            "start_date": "2009-07-09T22:11:02Z",
            "end_date": "2019-07-07T22:11:02Z"
          },
          "serial_number": "15199105993947928578",
          "check_date": "2026-09-22T06:30:18Z"
        },
        "ssl_last_change_date": "2023-05-21T16:52:14Z"
      },
      "type": 1,
      "subdomain_level_count": 0,
      "dns": {
        "a": {
          "update_date": "2026-09-22T06:28:57Z",
          "ip_addresses": [
            "15.223.21.161",
            "52.60.147.175"
          ]
        },
        "aaaa": {
          "update_date": "2026-09-22T06:28:57Z",
          "ip_addresses": []
        },
        "ns": {
          "update_date": "2026-09-22T06:28:57Z",
          "name_servers": [
            "ns1.power-dns.com",
            "ns2.power-dns.com",
            "ns3.power-dns.com"
          ]
        },
        "mx": {
          "update_date": "2026-09-22T06:28:57Z",
          "mail_servers": [
            "mx1.ewebdevelopment.com",
            "mx2.ewebdevelopment.com"
          ]
        },
        "soa": {
          "update_date": "2026-09-22T06:28:57Z",
          "mnames": [
            "amsterdam.power-dns.com"
          ],
          "rnames": [
            "hostmaster.power-dns.com"
          ],
          "rname_emails": [
            "user@power-dns.com"
          ]
        },
        "txt": {
          "update_date": "2026-09-22T06:28:57Z",
          "values": [
            "\"91f786e2661531d62a5e4bf8dc941c30c7391ed6\"",
            "\"934c3bfaa10e7d053ed251a82e3f4a82d19da885\"",
            "\"afternic-verification-VKoxaZkQawZ8VVht35n43c\"",
            "\"v=spf1 include:u2069692.wl.sendgrid.net -all\""
          ]
        },
        "cname": {
          "update_date": "2026-09-22T06:28:57Z",
          "values": []
        },
        "others": []
      },
      "dns_last_change_date": "2026-09-22T06:30:15Z",
      "ip_history": [
        "15.222.50.11",
        "3.99.54.18",
        "3.97.36.24",
        "3.99.78.66",
        "3.97.214.159",
        "3.98.191.22",
        "3.97.245.0",
        "3.97.117.82",
        "3.99.14.164",
        "3.97.24.88"
      ],
      "ssl": {
        "tags": [
          "dla"
        ],
        "fqdns": [],
        "version": 1,
        "serial_number": "15199105993947928578",
        "fingerprint": {
          "sha256": "237ee3a149a024c90c46b16ad0b24bb51bc378664b16f60b46151774c82579f6",
          "sha1": "3681981cce42123211dff2b1fca102b01901bb5a",
          "md5": "31a0cc862b0910d1aa850a87c9a5b31d"
        },
        "validity": {
          "start_date": "2009-07-09T22:11:02Z",
          "end_date": "2019-07-07T22:11:02Z",
          "length": 315360000
        },
        "signature": {
          "is_self_signed": true,
          "is_valid": false,
          "value": "yIa2Dmk47KgyjOhwth9Uu68U4ZXfWRj4xO9Jon1T4mXd2tuszCmqCnCw0OaeCukuV4da4gYXizmvdnEUuI31BADZ8CB+HY6aMv3w5kpc9xUlW3Lqv/MNh3XjufG0JqsuVJ4L18vcLImIwDwhb8wfyYSgp/+0aMebnktVBqRtDsg=",
          "algorithm": {
            "oid": "1.2.840.113549.1.1.5",
            "name": "sha1"
          }
        },
        "issuer_dn": "O=My Company Ltd,L=Newbury,ST=Berkshire,C=GB",
        "issuer": {
          "common_name": null,
          "country": "GB",
          "state": "Berkshire",
          "locality": "Newbury",
          "organization": "My Company Ltd",
          "organizational_unit": null
        },
        "subject_dn": "O=My Company Ltd,L=Newbury,ST=Berkshire,C=GB",
        "subject": {
          "common_name": null,
          "country": "GB",
          "state": "Berkshire",
          "locality": "Newbury",
          "organization": "My Company Ltd",
          "organizational_unit": null
        },
        "extensions": {
          "authority_key_id": null,
          "basic_constraints": null,
          "certificate_policies": [],
          "extended_key_usage": null,
          "key_usage": null,
          "signed_certificate_timestamps": [],
          "subject_alt_name": null,
          "subject_key_id": null
        },
        "check_date": "2026-09-22T06:30:18Z"
      },
      "ssl_last_change_date": "2023-05-21T16:52:14Z",
      "webdata": {
        "connection_status": "success",
        "html": {
          "source_code_hash": "21c24ec8410eb9f3fdf3380aec73737fc61a8b934de8ba71ded3ad803aa0b2bf"
        },
        "http": {
          "status_code_first": 200,
          "status_code_last": 200,
          "redirection_history": [
            {
              "url": "http://jazzforkids.com/",
              "status_code": 200
            }
          ],
          "external_redirection": null,
          "final_url": "http://jazzforkids.com/",
          "final_fqdn": "jazzforkids.com",
          "final_domain": "jazzforkids.com",
          "headers": {
            "others": [
              {
                "name": "date",
                "value": "Sat, 21 Mar 2026 22:25:20 GMT"
              },
              {
                "name": "transfer_encoding",
                "value": "chunked"
              },
              {
                "name": "connection",
                "value": "keep-alive"
              }
            ],
            "access_control_allow_headers": null,
            "access_control_allow_methods": null,
            "access_control_allow_origin": null,
            "cache_control": "no-cache, private",
            "clear_site_data": null,
            "content_encoding": null,
            "content_security_policy": null,
            "content_type": "text/html; charset=UTF-8",
            "cross_origin_embedder_policy": null,
            "cross_origin_opener_policy": null,
            "cross_origin_resource_policy": null,
            "expect_ct": null,
            "feature_policy": null,
            "last_modified": null,
            "permission_policy": null,
            "referrer_policy": null,
            "server": "nginx",
            "set_cookie": "AWSALB=<value>; Expires=Sat, 28 Mar 2026 22:25:19 GMT; Path=/, AWSALBCORS=<value>; Expires=Sat, 28 Mar 2026 22:25:19 GMT; Path=/; SameSite=None, XSRF-TOKEN=<value>; expires=Sun, 22 Mar 2026 00:25:20 GMT; Max-Age=7200; path=/, lander_session=<value>; expires=Sun, 22 Mar 2026 00:25:20 GMT; Max-Age=7200; path=/; httponly",
            "strict_transport_security": null,
            "x_content_type_options": "nosniff",
            "x_download_options": null,
            "x_frame_options": "SAMEORIGIN, SAMEORIGIN",
            "x_permitted_cross_domain_policies": null,
            "x_powered_by": null,
            "x_xss_protection": "1; mode=block"
          },
          "cookies": [
            {
              "name": "AWSALB",
              "value": "<value>"
            },
            {
              "name": "AWSALBCORS",
              "value": "<value>"
            },
            {
              "name": "XSRF-TOKEN",
              "value": "<value>"
            },
            {
              "name": "lander_session",
              "value": "<value>"
            }
          ]
        }
      }
    }
  ]
}
```

## Related Examples

- [Certificates With a Valid Signature](/reference/discovery/domain-search/examples/ssl-signature-is-valid/)
- [Self-Signed Certificates](/reference/discovery/domain-search/examples/ssl-signature-is-self-signed/)
- [All Three: New Shops Without WHOIS Privacy](/reference/discovery/domain-search/examples/all-three-new-shops-without-whois-privacy/)
- [Must and Should Together](/reference/discovery/domain-search/examples/must-and-should-together/)
- [Should: Either of Two Registrars](/reference/discovery/domain-search/examples/should-either-of-two-registrars/)
- [Expiring Soon With WHOIS Privacy](/reference/discovery/domain-search/examples/expiring-soon-with-whois-privacy/)
